Package org.gradle.api.reporting

# Enum Report.OutputType

java.lang.Object
java.lang.Enum<Report.OutputType>
org.gradle.api.reporting.Report.OutputType

All Implemented Interfaces:
  `Serializable`, `Comparable<Report.OutputType>`, `Constable`

Enclosing interface:
  `Report`

public static enum Report.OutputType extends Enum<Report.OutputType>
The type of output the report produces

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORY`
  The report outputs files into a directory.
  `FILE`
  The report outputs a single file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Report.OutputType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Report.OutputType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final Report.OutputType FILE
    The report outputs a single file.

    That is, the `Report.getOutputLocation()` points to a single file.

  - ### DIRECTORY

    public static final Report.OutputType DIRECTORY
    The report outputs files into a directory.

    That is, the `Report.getOutputLocation()` points to a directory.

- ## Method Details

  - ### values

    public static Report.OutputType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Report.OutputType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null